memory_resource.h File Reference

Go to the source code of this file.

## Classes

struct | std::allocator_traits< pmr::polymorphic_allocator< _Tp > >
class | std::pmr::memory_resource
class | std::pmr::polymorphic_allocator< _Tp >

## Namespaces

namespace | std

## Functions

bool | std::pmr::operator== (const memory_resource &__a, const memory_resource &__b) noexcept
template<typename _Tp1 , typename _Tp2 >
bool | std::pmr::operator== (const polymorphic_allocator< _Tp1 > &__a, const polymorphic_allocator< _Tp2 > &__b) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory_resource>.

Definition in file memory_resource.h.

## Function Documentation

## operator==() [1/2]

bool std::pmr::operator== | ( | const memory_resource & | __a,
|  | const memory_resource & | __b
| ) |  |

inline noexcept

Definition at line 101 of file memory_resource.h.

## operator==() [2/2]

template<typename _Tp1 , typename _Tp2 >

bool std::pmr::operator== | ( | const polymorphic_allocator< _Tp1 > & | __a,
|  | const polymorphic_allocator< _Tp2 > & | __b
| ) |  |

inline noexcept

Definition at line 372 of file memory_resource.h.